Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network251.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
251.0.0.0
Broadcast address
251.255.255.255
First usable
251.0.0.1
Last usable
251.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FB000000 · Integer 4211081216 to 4227858431
Reverse DNS zone
251.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111011..00000000.00000000.00000000251.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11111011..00000000.00000000.00000000251.0.0.0
Broadcast11111011..11111111.11111111.11111111251.255.255.255
Split into smaller subnets/19

251.0.0.0/8 makes 2,048 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1251.0.0.0/19251.0.0.1 to 251.0.31.254251.0.31.2558,190
2251.0.32.0/19251.0.32.1 to 251.0.63.254251.0.63.2558,190
3251.0.64.0/19251.0.64.1 to 251.0.95.254251.0.95.2558,190
4251.0.96.0/19251.0.96.1 to 251.0.127.254251.0.127.2558,190
5251.0.128.0/19251.0.128.1 to 251.0.159.254251.0.159.2558,190
6251.0.160.0/19251.0.160.1 to 251.0.191.254251.0.191.2558,190
7251.0.192.0/19251.0.192.1 to 251.0.223.254251.0.223.2558,190
8251.0.224.0/19251.0.224.1 to 251.0.255.254251.0.255.2558,190
9251.1.0.0/19251.1.0.1 to 251.1.31.254251.1.31.2558,190
10251.1.32.0/19251.1.32.1 to 251.1.63.254251.1.63.2558,190
11251.1.64.0/19251.1.64.1 to 251.1.95.254251.1.95.2558,190
12251.1.96.0/19251.1.96.1 to 251.1.127.254251.1.127.2558,190
13251.1.128.0/19251.1.128.1 to 251.1.159.254251.1.159.2558,190
14251.1.160.0/19251.1.160.1 to 251.1.191.254251.1.191.2558,190
15251.1.192.0/19251.1.192.1 to 251.1.223.254251.1.223.2558,190
16251.1.224.0/19251.1.224.1 to 251.1.255.254251.1.255.2558,190
17251.2.0.0/19251.2.0.1 to 251.2.31.254251.2.31.2558,190
18251.2.32.0/19251.2.32.1 to 251.2.63.254251.2.63.2558,190
19251.2.64.0/19251.2.64.1 to 251.2.95.254251.2.95.2558,190
20251.2.96.0/19251.2.96.1 to 251.2.127.254251.2.127.2558,190
21251.2.128.0/19251.2.128.1 to 251.2.159.254251.2.159.2558,190
22251.2.160.0/19251.2.160.1 to 251.2.191.254251.2.191.2558,190
23251.2.192.0/19251.2.192.1 to 251.2.223.254251.2.223.2558,190
24251.2.224.0/19251.2.224.1 to 251.2.255.254251.2.255.2558,190
25251.3.0.0/19251.3.0.1 to 251.3.31.254251.3.31.2558,190
26251.3.32.0/19251.3.32.1 to 251.3.63.254251.3.63.2558,190
27251.3.64.0/19251.3.64.1 to 251.3.95.254251.3.95.2558,190
28251.3.96.0/19251.3.96.1 to 251.3.127.254251.3.127.2558,190
29251.3.128.0/19251.3.128.1 to 251.3.159.254251.3.159.2558,190
30251.3.160.0/19251.3.160.1 to 251.3.191.254251.3.191.2558,190
31251.3.192.0/19251.3.192.1 to 251.3.223.254251.3.223.2558,190
32251.3.224.0/19251.3.224.1 to 251.3.255.254251.3.255.2558,190
33251.4.0.0/19251.4.0.1 to 251.4.31.254251.4.31.2558,190
34251.4.32.0/19251.4.32.1 to 251.4.63.254251.4.63.2558,190
35251.4.64.0/19251.4.64.1 to 251.4.95.254251.4.95.2558,190
36251.4.96.0/19251.4.96.1 to 251.4.127.254251.4.127.2558,190
37251.4.128.0/19251.4.128.1 to 251.4.159.254251.4.159.2558,190
38251.4.160.0/19251.4.160.1 to 251.4.191.254251.4.191.2558,190
39251.4.192.0/19251.4.192.1 to 251.4.223.254251.4.223.2558,190
40251.4.224.0/19251.4.224.1 to 251.4.255.254251.4.255.2558,190
41251.5.0.0/19251.5.0.1 to 251.5.31.254251.5.31.2558,190
42251.5.32.0/19251.5.32.1 to 251.5.63.254251.5.63.2558,190
43251.5.64.0/19251.5.64.1 to 251.5.95.254251.5.95.2558,190
44251.5.96.0/19251.5.96.1 to 251.5.127.254251.5.127.2558,190
45251.5.128.0/19251.5.128.1 to 251.5.159.254251.5.159.2558,190
46251.5.160.0/19251.5.160.1 to 251.5.191.254251.5.191.2558,190
47251.5.192.0/19251.5.192.1 to 251.5.223.254251.5.223.2558,190
48251.5.224.0/19251.5.224.1 to 251.5.255.254251.5.255.2558,190
49251.6.0.0/19251.6.0.1 to 251.6.31.254251.6.31.2558,190
50251.6.32.0/19251.6.32.1 to 251.6.63.254251.6.63.2558,190
51251.6.64.0/19251.6.64.1 to 251.6.95.254251.6.95.2558,190
52251.6.96.0/19251.6.96.1 to 251.6.127.254251.6.127.2558,190
53251.6.128.0/19251.6.128.1 to 251.6.159.254251.6.159.2558,190
54251.6.160.0/19251.6.160.1 to 251.6.191.254251.6.191.2558,190
55251.6.192.0/19251.6.192.1 to 251.6.223.254251.6.223.2558,190
56251.6.224.0/19251.6.224.1 to 251.6.255.254251.6.255.2558,190
57251.7.0.0/19251.7.0.1 to 251.7.31.254251.7.31.2558,190
58251.7.32.0/19251.7.32.1 to 251.7.63.254251.7.63.2558,190
59251.7.64.0/19251.7.64.1 to 251.7.95.254251.7.95.2558,190
60251.7.96.0/19251.7.96.1 to 251.7.127.254251.7.127.2558,190
61251.7.128.0/19251.7.128.1 to 251.7.159.254251.7.159.2558,190
62251.7.160.0/19251.7.160.1 to 251.7.191.254251.7.191.2558,190
63251.7.192.0/19251.7.192.1 to 251.7.223.254251.7.223.2558,190
64251.7.224.0/19251.7.224.1 to 251.7.255.254251.7.255.2558,190
65251.8.0.0/19251.8.0.1 to 251.8.31.254251.8.31.2558,190
66251.8.32.0/19251.8.32.1 to 251.8.63.254251.8.63.2558,190
67251.8.64.0/19251.8.64.1 to 251.8.95.254251.8.95.2558,190
68251.8.96.0/19251.8.96.1 to 251.8.127.254251.8.127.2558,190
69251.8.128.0/19251.8.128.1 to 251.8.159.254251.8.159.2558,190
70251.8.160.0/19251.8.160.1 to 251.8.191.254251.8.191.2558,190
71251.8.192.0/19251.8.192.1 to 251.8.223.254251.8.223.2558,190
72251.8.224.0/19251.8.224.1 to 251.8.255.254251.8.255.2558,190
73251.9.0.0/19251.9.0.1 to 251.9.31.254251.9.31.2558,190
74251.9.32.0/19251.9.32.1 to 251.9.63.254251.9.63.2558,190
75251.9.64.0/19251.9.64.1 to 251.9.95.254251.9.95.2558,190
76251.9.96.0/19251.9.96.1 to 251.9.127.254251.9.127.2558,190
77251.9.128.0/19251.9.128.1 to 251.9.159.254251.9.159.2558,190
78251.9.160.0/19251.9.160.1 to 251.9.191.254251.9.191.2558,190
79251.9.192.0/19251.9.192.1 to 251.9.223.254251.9.223.2558,190
80251.9.224.0/19251.9.224.1 to 251.9.255.254251.9.255.2558,190
81251.10.0.0/19251.10.0.1 to 251.10.31.254251.10.31.2558,190
82251.10.32.0/19251.10.32.1 to 251.10.63.254251.10.63.2558,190
83251.10.64.0/19251.10.64.1 to 251.10.95.254251.10.95.2558,190
84251.10.96.0/19251.10.96.1 to 251.10.127.254251.10.127.2558,190
85251.10.128.0/19251.10.128.1 to 251.10.159.254251.10.159.2558,190
86251.10.160.0/19251.10.160.1 to 251.10.191.254251.10.191.2558,190
87251.10.192.0/19251.10.192.1 to 251.10.223.254251.10.223.2558,190
88251.10.224.0/19251.10.224.1 to 251.10.255.254251.10.255.2558,190
89251.11.0.0/19251.11.0.1 to 251.11.31.254251.11.31.2558,190
90251.11.32.0/19251.11.32.1 to 251.11.63.254251.11.63.2558,190
91251.11.64.0/19251.11.64.1 to 251.11.95.254251.11.95.2558,190
92251.11.96.0/19251.11.96.1 to 251.11.127.254251.11.127.2558,190
93251.11.128.0/19251.11.128.1 to 251.11.159.254251.11.159.2558,190
94251.11.160.0/19251.11.160.1 to 251.11.191.254251.11.191.2558,190
95251.11.192.0/19251.11.192.1 to 251.11.223.254251.11.223.2558,190
96251.11.224.0/19251.11.224.1 to 251.11.255.254251.11.255.2558,190
97251.12.0.0/19251.12.0.1 to 251.12.31.254251.12.31.2558,190
98251.12.32.0/19251.12.32.1 to 251.12.63.254251.12.63.2558,190
99251.12.64.0/19251.12.64.1 to 251.12.95.254251.12.95.2558,190
100251.12.96.0/19251.12.96.1 to 251.12.127.254251.12.127.2558,190
101251.12.128.0/19251.12.128.1 to 251.12.159.254251.12.159.2558,190
102251.12.160.0/19251.12.160.1 to 251.12.191.254251.12.191.2558,190
103251.12.192.0/19251.12.192.1 to 251.12.223.254251.12.223.2558,190
104251.12.224.0/19251.12.224.1 to 251.12.255.254251.12.255.2558,190
105251.13.0.0/19251.13.0.1 to 251.13.31.254251.13.31.2558,190
106251.13.32.0/19251.13.32.1 to 251.13.63.254251.13.63.2558,190
107251.13.64.0/19251.13.64.1 to 251.13.95.254251.13.95.2558,190
108251.13.96.0/19251.13.96.1 to 251.13.127.254251.13.127.2558,190
109251.13.128.0/19251.13.128.1 to 251.13.159.254251.13.159.2558,190
110251.13.160.0/19251.13.160.1 to 251.13.191.254251.13.191.2558,190
111251.13.192.0/19251.13.192.1 to 251.13.223.254251.13.223.2558,190
112251.13.224.0/19251.13.224.1 to 251.13.255.254251.13.255.2558,190
113251.14.0.0/19251.14.0.1 to 251.14.31.254251.14.31.2558,190
114251.14.32.0/19251.14.32.1 to 251.14.63.254251.14.63.2558,190
115251.14.64.0/19251.14.64.1 to 251.14.95.254251.14.95.2558,190
116251.14.96.0/19251.14.96.1 to 251.14.127.254251.14.127.2558,190
117251.14.128.0/19251.14.128.1 to 251.14.159.254251.14.159.2558,190
118251.14.160.0/19251.14.160.1 to 251.14.191.254251.14.191.2558,190
119251.14.192.0/19251.14.192.1 to 251.14.223.254251.14.223.2558,190
120251.14.224.0/19251.14.224.1 to 251.14.255.254251.14.255.2558,190
121251.15.0.0/19251.15.0.1 to 251.15.31.254251.15.31.2558,190
122251.15.32.0/19251.15.32.1 to 251.15.63.254251.15.63.2558,190
123251.15.64.0/19251.15.64.1 to 251.15.95.254251.15.95.2558,190
124251.15.96.0/19251.15.96.1 to 251.15.127.254251.15.127.2558,190
125251.15.128.0/19251.15.128.1 to 251.15.159.254251.15.159.2558,190
126251.15.160.0/19251.15.160.1 to 251.15.191.254251.15.191.2558,190
127251.15.192.0/19251.15.192.1 to 251.15.223.254251.15.223.2558,190
128251.15.224.0/19251.15.224.1 to 251.15.255.254251.15.255.2558,190
129251.16.0.0/19251.16.0.1 to 251.16.31.254251.16.31.2558,190
130251.16.32.0/19251.16.32.1 to 251.16.63.254251.16.63.2558,190
131251.16.64.0/19251.16.64.1 to 251.16.95.254251.16.95.2558,190
132251.16.96.0/19251.16.96.1 to 251.16.127.254251.16.127.2558,190
133251.16.128.0/19251.16.128.1 to 251.16.159.254251.16.159.2558,190
134251.16.160.0/19251.16.160.1 to 251.16.191.254251.16.191.2558,190
135251.16.192.0/19251.16.192.1 to 251.16.223.254251.16.223.2558,190
136251.16.224.0/19251.16.224.1 to 251.16.255.254251.16.255.2558,190
137251.17.0.0/19251.17.0.1 to 251.17.31.254251.17.31.2558,190
138251.17.32.0/19251.17.32.1 to 251.17.63.254251.17.63.2558,190
139251.17.64.0/19251.17.64.1 to 251.17.95.254251.17.95.2558,190
140251.17.96.0/19251.17.96.1 to 251.17.127.254251.17.127.2558,190
141251.17.128.0/19251.17.128.1 to 251.17.159.254251.17.159.2558,190
142251.17.160.0/19251.17.160.1 to 251.17.191.254251.17.191.2558,190
143251.17.192.0/19251.17.192.1 to 251.17.223.254251.17.223.2558,190
144251.17.224.0/19251.17.224.1 to 251.17.255.254251.17.255.2558,190
145251.18.0.0/19251.18.0.1 to 251.18.31.254251.18.31.2558,190
146251.18.32.0/19251.18.32.1 to 251.18.63.254251.18.63.2558,190
147251.18.64.0/19251.18.64.1 to 251.18.95.254251.18.95.2558,190
148251.18.96.0/19251.18.96.1 to 251.18.127.254251.18.127.2558,190
149251.18.128.0/19251.18.128.1 to 251.18.159.254251.18.159.2558,190
150251.18.160.0/19251.18.160.1 to 251.18.191.254251.18.191.2558,190
151251.18.192.0/19251.18.192.1 to 251.18.223.254251.18.223.2558,190
152251.18.224.0/19251.18.224.1 to 251.18.255.254251.18.255.2558,190
153251.19.0.0/19251.19.0.1 to 251.19.31.254251.19.31.2558,190
154251.19.32.0/19251.19.32.1 to 251.19.63.254251.19.63.2558,190
155251.19.64.0/19251.19.64.1 to 251.19.95.254251.19.95.2558,190
156251.19.96.0/19251.19.96.1 to 251.19.127.254251.19.127.2558,190
157251.19.128.0/19251.19.128.1 to 251.19.159.254251.19.159.2558,190
158251.19.160.0/19251.19.160.1 to 251.19.191.254251.19.191.2558,190
159251.19.192.0/19251.19.192.1 to 251.19.223.254251.19.223.2558,190
160251.19.224.0/19251.19.224.1 to 251.19.255.254251.19.255.2558,190
161251.20.0.0/19251.20.0.1 to 251.20.31.254251.20.31.2558,190
162251.20.32.0/19251.20.32.1 to 251.20.63.254251.20.63.2558,190
163251.20.64.0/19251.20.64.1 to 251.20.95.254251.20.95.2558,190
164251.20.96.0/19251.20.96.1 to 251.20.127.254251.20.127.2558,190
165251.20.128.0/19251.20.128.1 to 251.20.159.254251.20.159.2558,190
166251.20.160.0/19251.20.160.1 to 251.20.191.254251.20.191.2558,190
167251.20.192.0/19251.20.192.1 to 251.20.223.254251.20.223.2558,190
168251.20.224.0/19251.20.224.1 to 251.20.255.254251.20.255.2558,190
169251.21.0.0/19251.21.0.1 to 251.21.31.254251.21.31.2558,190
170251.21.32.0/19251.21.32.1 to 251.21.63.254251.21.63.2558,190
171251.21.64.0/19251.21.64.1 to 251.21.95.254251.21.95.2558,190
172251.21.96.0/19251.21.96.1 to 251.21.127.254251.21.127.2558,190
173251.21.128.0/19251.21.128.1 to 251.21.159.254251.21.159.2558,190
174251.21.160.0/19251.21.160.1 to 251.21.191.254251.21.191.2558,190
175251.21.192.0/19251.21.192.1 to 251.21.223.254251.21.223.2558,190
176251.21.224.0/19251.21.224.1 to 251.21.255.254251.21.255.2558,190
177251.22.0.0/19251.22.0.1 to 251.22.31.254251.22.31.2558,190
178251.22.32.0/19251.22.32.1 to 251.22.63.254251.22.63.2558,190
179251.22.64.0/19251.22.64.1 to 251.22.95.254251.22.95.2558,190
180251.22.96.0/19251.22.96.1 to 251.22.127.254251.22.127.2558,190
181251.22.128.0/19251.22.128.1 to 251.22.159.254251.22.159.2558,190
182251.22.160.0/19251.22.160.1 to 251.22.191.254251.22.191.2558,190
183251.22.192.0/19251.22.192.1 to 251.22.223.254251.22.223.2558,190
184251.22.224.0/19251.22.224.1 to 251.22.255.254251.22.255.2558,190
185251.23.0.0/19251.23.0.1 to 251.23.31.254251.23.31.2558,190
186251.23.32.0/19251.23.32.1 to 251.23.63.254251.23.63.2558,190
187251.23.64.0/19251.23.64.1 to 251.23.95.254251.23.95.2558,190
188251.23.96.0/19251.23.96.1 to 251.23.127.254251.23.127.2558,190
189251.23.128.0/19251.23.128.1 to 251.23.159.254251.23.159.2558,190
190251.23.160.0/19251.23.160.1 to 251.23.191.254251.23.191.2558,190
191251.23.192.0/19251.23.192.1 to 251.23.223.254251.23.223.2558,190
192251.23.224.0/19251.23.224.1 to 251.23.255.254251.23.255.2558,190
193251.24.0.0/19251.24.0.1 to 251.24.31.254251.24.31.2558,190
194251.24.32.0/19251.24.32.1 to 251.24.63.254251.24.63.2558,190
195251.24.64.0/19251.24.64.1 to 251.24.95.254251.24.95.2558,190
196251.24.96.0/19251.24.96.1 to 251.24.127.254251.24.127.2558,190
197251.24.128.0/19251.24.128.1 to 251.24.159.254251.24.159.2558,190
198251.24.160.0/19251.24.160.1 to 251.24.191.254251.24.191.2558,190
199251.24.192.0/19251.24.192.1 to 251.24.223.254251.24.223.2558,190
200251.24.224.0/19251.24.224.1 to 251.24.255.254251.24.255.2558,190
201251.25.0.0/19251.25.0.1 to 251.25.31.254251.25.31.2558,190
202251.25.32.0/19251.25.32.1 to 251.25.63.254251.25.63.2558,190
203251.25.64.0/19251.25.64.1 to 251.25.95.254251.25.95.2558,190
204251.25.96.0/19251.25.96.1 to 251.25.127.254251.25.127.2558,190
205251.25.128.0/19251.25.128.1 to 251.25.159.254251.25.159.2558,190
206251.25.160.0/19251.25.160.1 to 251.25.191.254251.25.191.2558,190
207251.25.192.0/19251.25.192.1 to 251.25.223.254251.25.223.2558,190
208251.25.224.0/19251.25.224.1 to 251.25.255.254251.25.255.2558,190
209251.26.0.0/19251.26.0.1 to 251.26.31.254251.26.31.2558,190
210251.26.32.0/19251.26.32.1 to 251.26.63.254251.26.63.2558,190
211251.26.64.0/19251.26.64.1 to 251.26.95.254251.26.95.2558,190
212251.26.96.0/19251.26.96.1 to 251.26.127.254251.26.127.2558,190
213251.26.128.0/19251.26.128.1 to 251.26.159.254251.26.159.2558,190
214251.26.160.0/19251.26.160.1 to 251.26.191.254251.26.191.2558,190
215251.26.192.0/19251.26.192.1 to 251.26.223.254251.26.223.2558,190
216251.26.224.0/19251.26.224.1 to 251.26.255.254251.26.255.2558,190
217251.27.0.0/19251.27.0.1 to 251.27.31.254251.27.31.2558,190
218251.27.32.0/19251.27.32.1 to 251.27.63.254251.27.63.2558,190
219251.27.64.0/19251.27.64.1 to 251.27.95.254251.27.95.2558,190
220251.27.96.0/19251.27.96.1 to 251.27.127.254251.27.127.2558,190
221251.27.128.0/19251.27.128.1 to 251.27.159.254251.27.159.2558,190
222251.27.160.0/19251.27.160.1 to 251.27.191.254251.27.191.2558,190
223251.27.192.0/19251.27.192.1 to 251.27.223.254251.27.223.2558,190
224251.27.224.0/19251.27.224.1 to 251.27.255.254251.27.255.2558,190
225251.28.0.0/19251.28.0.1 to 251.28.31.254251.28.31.2558,190
226251.28.32.0/19251.28.32.1 to 251.28.63.254251.28.63.2558,190
227251.28.64.0/19251.28.64.1 to 251.28.95.254251.28.95.2558,190
228251.28.96.0/19251.28.96.1 to 251.28.127.254251.28.127.2558,190
229251.28.128.0/19251.28.128.1 to 251.28.159.254251.28.159.2558,190
230251.28.160.0/19251.28.160.1 to 251.28.191.254251.28.191.2558,190
231251.28.192.0/19251.28.192.1 to 251.28.223.254251.28.223.2558,190
232251.28.224.0/19251.28.224.1 to 251.28.255.254251.28.255.2558,190
233251.29.0.0/19251.29.0.1 to 251.29.31.254251.29.31.2558,190
234251.29.32.0/19251.29.32.1 to 251.29.63.254251.29.63.2558,190
235251.29.64.0/19251.29.64.1 to 251.29.95.254251.29.95.2558,190
236251.29.96.0/19251.29.96.1 to 251.29.127.254251.29.127.2558,190
237251.29.128.0/19251.29.128.1 to 251.29.159.254251.29.159.2558,190
238251.29.160.0/19251.29.160.1 to 251.29.191.254251.29.191.2558,190
239251.29.192.0/19251.29.192.1 to 251.29.223.254251.29.223.2558,190
240251.29.224.0/19251.29.224.1 to 251.29.255.254251.29.255.2558,190
241251.30.0.0/19251.30.0.1 to 251.30.31.254251.30.31.2558,190
242251.30.32.0/19251.30.32.1 to 251.30.63.254251.30.63.2558,190
243251.30.64.0/19251.30.64.1 to 251.30.95.254251.30.95.2558,190
244251.30.96.0/19251.30.96.1 to 251.30.127.254251.30.127.2558,190
245251.30.128.0/19251.30.128.1 to 251.30.159.254251.30.159.2558,190
246251.30.160.0/19251.30.160.1 to 251.30.191.254251.30.191.2558,190
247251.30.192.0/19251.30.192.1 to 251.30.223.254251.30.223.2558,190
248251.30.224.0/19251.30.224.1 to 251.30.255.254251.30.255.2558,190
249251.31.0.0/19251.31.0.1 to 251.31.31.254251.31.31.2558,190
250251.31.32.0/19251.31.32.1 to 251.31.63.254251.31.63.2558,190
251251.31.64.0/19251.31.64.1 to 251.31.95.254251.31.95.2558,190
252251.31.96.0/19251.31.96.1 to 251.31.127.254251.31.127.2558,190
253251.31.128.0/19251.31.128.1 to 251.31.159.254251.31.159.2558,190
254251.31.160.0/19251.31.160.1 to 251.31.191.254251.31.191.2558,190
255251.31.192.0/19251.31.192.1 to 251.31.223.254251.31.223.2558,190
256251.31.224.0/19251.31.224.1 to 251.31.255.254251.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses